Bug 1451258 - CVE-2017-8911 tnef: Integer underflow in unicode_to_utf8 [fedora-all]
Summary: CVE-2017-8911 tnef: Integer underflow in unicode_to_utf8 [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tnef
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-8911
TreeView+ depends on / blocked
 
Reported: 2017-05-16 08:46 UTC by Adam Mariš
Modified: 2017-11-01 16:42 UTC (History)
2 users (show)

Fixed In Version: tnef-1.4.15-1.fc27 tnef-1.4.15-1.fc25 tnef-1.4.15-1.fc26 tnef-1.4.15-1.el7 tnef-1.4.15-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-17 00:14:35 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-05-16 08:46:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2017-05-16 08:46:18 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1451256

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Christian Stadelmann 2017-10-01 20:37:07 UTC
Still present in Fedora 26. Can you please update to upstream release 1.4.15 which ought to fix this bug?

Comment 3 Fedora Update System 2017-10-12 00:48:58 UTC
tnef-1.4.15-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b28a055f2

Comment 4 Fedora Update System 2017-10-12 00:49:12 UTC
tnef-1.4.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-853d71e01b

Comment 5 Fedora Update System 2017-10-12 00:49:23 UTC
tnef-1.4.15-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2882ae75b

Comment 6 Fedora Update System 2017-10-12 00:49:34 UTC
tnef-1.4.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0177a71c41

Comment 7 Fedora Update System 2017-10-12 00:49:45 UTC
tnef-1.4.15-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8489b17872

Comment 8 Fedora Update System 2017-10-12 22:17:05 UTC
tnef-1.4.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0177a71c41

Comment 9 Fedora Update System 2017-10-13 04:19:48 UTC
tnef-1.4.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-853d71e01b

Comment 10 Fedora Update System 2017-10-13 04:23:35 UTC
tnef-1.4.15-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2882ae75b

Comment 11 Fedora Update System 2017-10-13 04:50:56 UTC
tnef-1.4.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b28a055f2

Comment 12 Fedora Update System 2017-10-13 06:23:36 UTC
tnef-1.4.15-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8489b17872

Comment 13 Fedora Update System 2017-10-17 00:14:35 UTC
tnef-1.4.15-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-10-25 21:16:50 UTC
tnef-1.4.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-10-25 23:10:16 UTC
tnef-1.4.15-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-01 00:17:45 UTC
tnef-1.4.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-11-01 16:42:31 UTC
tnef-1.4.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.